package intrinsic.flash.net;

public class URLStream extends intrinsic.flash.events.EventDispatcher implements intrinsic.flash.utils.IDataInput {

	/** Accessors */
	public boolean connected;
	public String endian;
	public int bytesAvailable;
	public int objectEncoding;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public URLStream() {
}


/** Static Methods */

/** Methods */
public native double readDouble();
public native int readUnsignedShort();
public native int readShort();
public native int readUnsignedByte();
public native boolean readBoolean();
public native void readBytes(intrinsic.flash.utils.ByteArray arg0);
public native void readBytes(intrinsic.flash.utils.ByteArray arg0, int arg1);
public native void readBytes(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public native String readUTFBytes(int arg0);
public native void load(intrinsic.flash.net.URLRequest arg0);
public native int readUnsignedInt();
public native String readUTF();
public native int readInt();
public native void close();
public native String readMultiByte(int arg0, String arg1);
public native double readFloat();
public native Object readObject();
public native int readByte();

}
